Subject: bug#34593: 12.1.1; selecting xelatex from command menu does not reset dvips or dvipdfmx switches

From: Ikumi Keita <[email-masked]>
Date: Wed, 17 Apr 2019 15:13:46 +0900

>>>>> JF <[email-masked]> writes:
>> I think that the attached patch will do the job.  However it just resets
>> the "PDF from DVI" setting and doesn't restore it when you again change
>> the engine to, say, "default".
>> Is this what you wanted?  If so, I'll install this change.

> Sorry for late confirmation. Yes your attached patch works for me.
> Indeed it does not restore previous PDF from DVI setting when again
> changing to default engine, but that's fine with me.

Thanks for confirmation, commited.  I'll close this bug.

Bye,
Ikumi Keita